;

;To start playing a tune..
; JSR InstallInterruptServiceRoutine

;Or if you are already handling the IRQ then insert this..
; JSR InitMusic
;And then from your Interrupt Service routine make these calls..
; jsr ProcMusic
; jsr SendAY

;To Restart the music from the beginning use the following routine..

RestartSong
	;Prevent any music currently playing being inadvertantly corrupted
	sei
	
	;Set Music List Index to start of song
	lda #11	;11 is start of list from start of music
	sta ListIndex
	
	;Reset AY registers
	lda #%01111000	;Sets the AY to no noise but all tone channels enabled
	sta ayw_Status
	lda #00		;Zero volume registers and set Cycle to default Decay
	sta ayw_Volume
	sta ayw_Volume+1
	sta ayw_Volume+2
	sta ayw_Cycle
	
	;Send these new AY settings to AY
	jsr SendAY
	
	;Reset Music activity
	; This disables any existing Ornaments and Effects currently playing
	lda #%11000000
	sta MusicActivity
	
	;Tell Service routine to immediately process the next pattern and restore
	;the original music tempo
	lda #01
	sta MusicTempoCount

	;Set up first Pattern/List
	jsr ProcList
	
	;Return
	cli
	rts

;To stop the music use EndMusic or TerminateMusic (wave_player.s)


;To change the tempo in V1.02 one can simple alter the value in the second byte
;from the music load address. This is always set to the music tempo that was set in the Editor.

;Unfortunately no maximum volume facility exists in V1.02
	